%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name foreman_theme_satellite

Summary:    Provides Satellite theme for Foreman and Plugins
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    1.0.4.16
Release:    1%{?dist}
Group:      Applications/System
License:    GPLv3
Source0:    http://sat-r220-02.lab.eng.rdu2.redhat.com/pulp/isos/Sat6-CI-Source_Files-Satellite_6_3_Source_Files/%{gem_name}-%{version}.gem

Requires: %{?scl_prefix}rubygem(deface) >= 1.0.0
Requires: %{?scl_prefix}rubygem(deface) < 2.0.0
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}rubygems

BuildRequires: %{?scl_prefix}rubygem(deface) >= 1.0.0
BuildRequires: %{?scl_prefix}rubygem(deface) < 2.0.0
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix_ruby}rubygems
BuildRequires: foreman-plugin >= 1.13.0
BuildRequires: foreman-assets

BuildArch: noarch

Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Provides Satellite theme for Foreman and Plugins

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} - <<EOF}
%gem_install -n %{SOURCE0}
%{?scl:EOF}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

%files
%dir %{gem_instdir}
%{gem_instdir}/app
%{gem_instdir}/db
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/locale
%{gem_instdir}/public
%{gem_spec}
%{foreman_bundlerd_plugin}
%license %{gem_instdir}/LICENSE

%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/test
%exclude %{gem_instdir}/Rakefile

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Thu Feb 01 2018 Satellite6 Jenkins 1.0.4.16-1
- BZ#1540710 - Fix version for Satellite 6.3.0 GA

* Fri Jan 26 2018 Satellite6 Jenkins 1.0.4.15-1
- BZ#1538419 - Updated links to the product documentation.

* Tue Jan 16 2018 Satellite6 Jenkins 1.0.4.14-1
- BZ #1514001 Add noVNC configuration link

* Wed Dec 20 2017 Satellite6 Jenkins 1.0.4.13-1
- BZ #1484229 - Changed the provider name to RHV instead RHEV

* Tue Dec 19 2017 Satellite6 Jenkins 1.0.4.12-1

* Tue Nov 14 2017 Evgeni Golov 1.0.4.12-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.12

* Fri Nov 03 2017 Satellite6 Jenkins 1.0.4.11-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.11

* Thu Nov 02 2017 Satellite6 Jenkins 1.0.4.10-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.10

* Thu Nov 02 2017 Satellite6 Jenkins 1.0.4.9-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.9

* Thu Oct 26 2017 Satellite6 Jenkins 1.0.4.8-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.8

* Thu Dec 15 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.1-2
- Fix foreman_theme_satellite to deploy bundler (ericdhelms@gmail.com)

* Mon Dec 05 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.1-1
- Add foreman_theme_satellite 1.0.1 (ericdhelms@gmail.com)

* Mon Nov 21 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.0-3
- Fix source setting to use gem_name for theme_satellite (ericdhelms@gmail.com)

* Mon Nov 21 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.0-2
- Set source to Dogfood for foreman_theme_satellite (ericdhelms@gmail.com)

* Sun Oct 30 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.0-1
- Add foreman_theme_satellite 1.0.0 (ericdhelms@gmail.com)

* Tue Sep 06 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.28-1
- BZ #1372436 - Set version to 6.2.

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.27-1
- BZ #1209838 - add support for idm_domain optio

* Tue Aug 16 2016 zjhuntin <zhunting@redhat.com> 0.1.26-1
- BZ #1367495 - Version string still indicates 6.2.0 on version 6.2.

* Wed Jul 20 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.25-1
-

* Wed Jul 13 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.23-1
- BZ #1332197 - fix templates to put rex snippet in correct plac

* Mon Jun 27 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.22-1
- BZ #1341809 - Fixing the copyright text on abou

* Tue Jun 07 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.20-1
- BZ #1343673 - update to Beta 2 versio

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.19-1
- BZ 1335650 - remove 'Beta' from the SATELLITE_VERSION
- BZ #1331432 - enable Satellite tools repo agai

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.17-1
-

* Wed May 04 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.15-1
- BZ #1330673 - Create branded strings on the fl

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.14-1
-

* Mon Apr 25 2016 Mike McCune <mmccune@redhat.com> 0.1.10-1
- BZ #1330239 - Destroy the upstream template

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.9-1
- BZ #1326022 - Added override for bastion with custom menu color
- BZ #1313748: Only override Katello templates if Katello is present
- BZ #1313748 - Added satellite provisioning template

* Wed Apr 13 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.8-1
- BZ #1324616 - Added options hash to documentation_url helpe

* Tue Apr 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.7-1
- BZ #1324977 - Showing correct version number on About pag

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.6-2
- Add config file to directories (ericdhelms@gmail.com)

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.6-1
- BZ #1313751 - Added settings initializer that sets email values to satellit

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.5-2
- Add missing DB directory

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.5-1
- BZ #1313751 - Remove Satellite from mail notification name

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.4-1
- BZ #1317825 - Redefined .navbar-collapse.in colors

* Wed Mar 16 2016 Chris Peters <chrispeters.psu@gmail.com> 0.1.3-1
- Bump version 0.1.3

* Fri Feb 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.2-1
- Update rubygem-foreman_theme_satellite to 0.1.2 (ericdhelms@gmail.com)

* Fri Feb 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.1-1
- Update rubygem-foreman_theme_satellite to 0.1.1 (ericdhelms@gmail.com)

* Wed Feb 10 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.0-1
- new package built with tito

